## ros-melodic-pilz-store-positions 0.4.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_store_positions)

find_package(catkin REQUIRED COMPONENTS
  roslint
  rospy
  std_msgs
  visualization_msgs
)

if(CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
  find_package(code_coverage REQUIRED)
  APPEND_COVERAGE_COMPILER_FLAGS()
endif()

catkin_package()

#############
## Install ##
#############

catkin_python_setup()

catkin_install_python(PROGRAMS
   scripts/pose_visualisation_node
   scripts/store_current_pose
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(ros_pytest REQUIRED)

  include_directories(
    ${catkin_INCLUDE_DIRS}
  )

  file(GLOB unittest_files "test/unittests/test_*.py")
  foreach(file ${unittest_files})
    add_pytests(${file})
  endforeach()

  # check for pep8 compliance and fail test on error(s)
  roslint_python( )
  roslint_add_test()

  # Fasest way to generate coverage - Make sure to run the test in sequence:
  # catkin_make -DCMAKE_BUILD_TYPE=Debug -DENABLE_COVERAGE_TESTING=ON tests
  # catkin_make -DCMAKE_BUILD_TYPE=Debug -DENABLE_COVERAGE_TESTING=ON pilz_store_positions_coverage -j1
  # or
  # catkin config --cmake-args -DENABLE_COVERAGE_TESTING=ON -DCMAKE_BUILD_TYPE=Debug
  # catkin build pilz_store_positions -v --no-deps --catkin-make-args tests
  # catkin build pilz_store_positions -j 1 -v --no-deps --catkin-make-args pilz_store_positions_coverage
  if(ENABLE_COVERAGE_TESTING)
    set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test*")
    add_code_coverage(
      NAME ${PROJECT_NAME}_coverage
      # specifying dependencies in a reliable way is on open issue
      # see https://github.com/mikeferguson/code_coverage/pull/14
      #DEPENDENCIES tests
    )
  endif()

endif()

=== debian/changelog ===
ros-melodic-pilz-store-positions (0.4.12-1stretch) stretch; urgency=high

  * Use new coverage feature of ros_pytest
  * Contributors: Pilz GmbH and Co. KG

 -- Joachim Schleicher <j.schleicher@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-pilz-store-positions (0.4.11-1stretch) stretch; urgency=high

  * Add ability to store one position
  * Contributors: Pilz GmbH and Co. KG

 -- Joachim Schleicher <j.schleicher@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-pilz-store-positions
Section: misc
Priority: optional
Maintainer: Joachim Schleicher <j.schleicher@pilz.de>
Build-Depends: debhelper (>= 9.0.0), python-mock, python-pytest-cov, ros-melodic-catkin, ros-melodic-code-coverage, ros-melodic-ros-pytest, ros-melodic-roslint, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-pilz-store-positions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-dev, ros-melodic-geometry-msgs, ros-melodic-rospy, ros-melodic-tf2-ros
Description: Allows to store poses during teach-in.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pilz-store-positions//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-pilz-store-positions 0.4.14

=== debian/changelog ===
ros-melodic-pilz-store-positions (0.4.14-1bionic) bionic; urgency=high



 -- Joachim Schleicher <j.schleicher@pilz.de>  Wed, 21 Jul 2021 22:00:00 -0000

ros-melodic-pilz-store-positions (0.4.13-1bionic) bionic; urgency=high



 -- Joachim Schleicher <j.schleicher@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-pilz-store-positions (0.4.12-1bionic) bionic; urgency=high

  * Use new coverage feature of ros_pytest
  * Contributors: Pilz GmbH and Co. KG

 -- Joachim Schleicher <j.schleicher@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-pilz-store-positions (0.4.11-1bionic) bionic; urgency=high

  * Add ability to store one position
  * Contributors: Pilz GmbH and Co. KG

 -- Joachim Schleicher <j.schleicher@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000
